# class TxtRecord | A text based DNS record. More...
Full name | `TelEngine::TxtRecord`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::DnsRecord [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline TxtRecord (int ttl, const char* text)
- inline const String& text () const
- virtual void dump (String& buf, const char* sep = " ")

#### Public Static Methods

- static void copy (ObjList& dest, const ObjList& src)

#### Protected Members

- String m_text

## Detailed Description

This class holds a A, AAAA or TXT record from DNS

inline TxtRecord (int ttl, const char* text) | ### TxtRecord

Build a TXT record

Parameters:

ttl | Record Time To Live
text | Text content of the record

inline const String& text () | ### text

[const]

Retrieve the record text

Returns: Record text

void dump (String& buf, const char* sep = " ") | ### dump

[virtual]

Dump this record for debug purposes

Parameters:

buf | Destination buffer
sep | Fields separator

Reimplemented from DnsRecord.

void copy (ObjList& dest, const ObjList& src) | ### copy

[static]

Copy a TxtRecord list into another one

Parameters:

dest | Destination list
src | Source list

String m_text | ### m_text

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.